aboutsummaryrefslogtreecommitdiff
path: root/system/tpm
diff options
context:
space:
mode:
authorB. Watson <urchlay@slackware.uk>2024-09-05 16:05:37 -0400
committerWilly Sudiarto Raharjo <willysr@slackbuilds.org>2024-09-07 09:08:51 +0700
commit4e772b90aa119362a9e55c0ec2973fb025c65140 (patch)
tree6e6000a76d4ea6bf9b6f0eaad0c51c50a71dc0ba /system/tpm
parentd0599dbae1e5f06072d9d8fea40003761e5a1461 (diff)
system/tpm: New maintainer.
Signed-off-by: B. Watson <urchlay@slackware.uk> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system/tpm')
-rw-r--r--system/tpm/README6
-rw-r--r--system/tpm/slack-desc6
-rw-r--r--system/tpm/tpm.SlackBuild48
-rw-r--r--system/tpm/tpm.info4
4 files changed, 24 insertions, 40 deletions
diff --git a/system/tpm/README b/system/tpm/README
index 0cdc921316440..542bab52ad147 100644
--- a/system/tpm/README
+++ b/system/tpm/README
@@ -1,6 +1,8 @@
+tpm (tiny password manager)
+
tpm is a tiny shell script which is heavily inspired and largely
-compatible with pass. Just like pass it uses gpg2 to securely store
-your passwords, the major difference between pass and tpm is that the
+compatible with pass. Just like pass, it uses gpg2 to securely store
+your passwords; the major difference between pass and tpm is that the
latter is a lot more minimal. Furthermore, tpm is written entirely
in POSIX shell.
diff --git a/system/tpm/slack-desc b/system/tpm/slack-desc
index b75c83f9ddc5a..19c3bb6a69cf2 100644
--- a/system/tpm/slack-desc
+++ b/system/tpm/slack-desc
@@ -6,11 +6,11 @@
# customary to leave one space after the ':' except on otherwise blank lines.
|-----handy-ruler------------------------------------------------------|
-tpm: tpm (Tiny password manager)
+tpm: tpm (tiny password manager)
tpm:
tpm: tpm is a tiny shell script which is heavily inspired and largely
-tpm: compatible with pass. Just like pass it uses gpg2 to securely store
-tpm: your passwords, the major difference between pass and tpm is that the
+tpm: compatible with pass. Just like pass, it uses gpg2 to securely store
+tpm: your passwords; the major difference between pass and tpm is that the
tpm: latter is a lot more minimal. Furthermore, tpm is written entirely in
tpm: POSIX shell.
tpm:
diff --git a/system/tpm/tpm.SlackBuild b/system/tpm/tpm.SlackBuild
index 247a2bebb7398..67a94d2896cec 100644
--- a/system/tpm/tpm.SlackBuild
+++ b/system/tpm/tpm.SlackBuild
@@ -2,25 +2,13 @@
# Slackware build script for tpm
-# Copyright 2015-2016, 2020 Hunter Sezen California, USA
-# All rights reserved.
-#
-# Redistribution and use of this script, with or without modification, is
-# permitted provided that the following conditions are met:
-#
-# 1. Redistributions of this script must retain the above copyright
-# notice, this list of conditions and the following disclaimer.
-#
-# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
-# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
-# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
-# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
-# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
-# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
-# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
-# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
-# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
-# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+# Original author: Hunter Sezen.
+# Modified and now maintained by B. Watson <urchlay@slackware.uk>.
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+# 20240905 bkw:
+# - new maintainer.
cd $(dirname $0) ; CWD=$(pwd)
@@ -32,9 +20,6 @@ PKGTYPE=${PKGTYPE:-tgz}
ARCH=noarch
-# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
-# the name of the created package would be, and then exit. This information
-# could be useful to other scripts.
if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
exit 0
@@ -44,7 +29,7 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-set -eu
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -53,23 +38,20 @@ rm -rf $PRGNAM-$VERSION
tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
-find -L . \
- \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
- -o -perm 511 \) -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
- -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} + -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} +
make install \
PREFIX=/usr \
MANDIR=/usr/man \
DESTDIR=$PKG
-find $PKG/usr/man -type f -exec gzip -9 {} \;
-for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+gzip -9 $PKG/usr/man/man*/*
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a LICENSE.txt $PKG/usr/doc/$PRGNAM-$VERSION
-cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+PKGDOC=$PKG/usr/doc/$PRGNAM-$VERSION
+mkdir -p $PKGDOC
+cp -a LICENSE.txt $PKGDOC
+cat $CWD/$PRGNAM.SlackBuild > $PKGDOC/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
diff --git a/system/tpm/tpm.info b/system/tpm/tpm.info
index 4b0f8ba3209c1..cbe3de42899e1 100644
--- a/system/tpm/tpm.info
+++ b/system/tpm/tpm.info
@@ -6,5 +6,5 @@ MD5SUM="9a5244e8f5e5bf0ba491ab7a029e79c1"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""
-MAINTAINER="Hunter Sezen"
-EMAIL="orbea@riseup.net"
+MAINTAINER="B. Watson"
+EMAIL="urchlay@slackware.uk"